Core APIReferenceVaultsFees

/vaults/fees/config/history

Get fee configuration update history across all indexed vaults and chains.

GET
/vaults/fees/config/history

Get fee configuration update history across all indexed vaults and chains.

Query Parameters

slug?array<>

Optional vault slug list. Repeat the query parameter to request multiple vaults.

Items1 <= items
startTimestamp?string

Inclusive Unix timestamp in seconds, encoded as a decimal string.

Match^\d+$
endTimestamp?string

Inclusive Unix timestamp in seconds, encoded as a decimal string.

Match^\d+$
type?string

Optional fee configuration update type.

Value in

  • "managementFee"
  • "performanceFee"
  • "hurdleRate"
  • "holdbackRate"
  • "crystallizationWindow"
  • "epochsPerWindow"
limit?integer

Maximum number of updates to return.

Range1 <= value <= 200
Default50
cursor?string

Opaque cursor returned by the previous page.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/vaults/fees/config/history"
{  "data": [    {      "timestamp": 1767225600,      "transactionHash": "string",      "chainId": 98866,      "slug": "nest-alpha-vault",      "eventType": "managementFee",      "oldValue": 10000,      "newValue": 15000    }  ],  "pageInfo": {    "endCursor": "string",    "hasNextPage": true  }}